%define majver %(echo %version | cut -d. -f1-2)
Name:          gui-ufw
Version:       13.10.2
Release:       %mkrel 1
Summary:       An easy, intuitive, way to manage your Linux firewall. It supports common tasks such as allowing or blocking pre-configured, common p2p, or individual ports port(s), and many others!
Group:         System/Libraries/Python
URL:           http://gufw.tuxfamily.org
#Source:        https://launchpad.net/ubuntu/raring/+source/gui-ufw/%{version}-0ubuntu1/+files/gui-ufw_%{version}.orig.tar.gz
Source:        https://launchpad.net/gui-ufw/gufw-%{majver}/%{majver}/+download/gui-ufw-%{version}.tar.xz
Patch:         gufw-10.04.4-su.patch
Patch1:        gui-ufw-13.10.2-fix_ufw_path_in_backend.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: python-distutils-extra
BuildRequires: python-netifaces
Provides:      firewallgui
Requires:      python >= %python_version
Requires:      ufw
Requires:      python-gobject
Requires:      python-netifaces
Requires:      dconf
Requires:      python-netifaces
Requires:      polkit
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
An easy, intuitive, way to manage your Linux firewall. It supports common tasks such as allowing or blocking pre-configured, common p2p, or individual ports port(s), and many others!.

%prep
%setup -q
%patch1 -p1

%build
%{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   --root="%{buildroot}" \

%find_lang gufw

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f gufw.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/gufw
%dir %{_sysconfdir}/gufw/app_profiles
%{_sysconfdir}/gufw/app_profiles/*
#%{_sysconfdir}/dbus-1/system.d/gufw.Daemon.conf
%{_bindir}/gufw
%{_bindir}/gufw-pkexec
%{python_sitelib}/gufw-%{version}-py*.egg-info
%dir %{python_sitelib}/gufw
%{python_sitelib}/gufw/*
%{_datadir}/polkit-1/actions/com.ubuntu.pkexec.gufw.policy
%{_datadir}/applications/gufw.desktop
#%{_datadir}/dbus-1/system-services/gufw.Daemon.service
%{_docdir}/gufw/*
%dir %{_datadir}/gufw
#%dir %{_datadir}/gufw/daemon
#%{_datadir}/gufw/daemon/*
%dir %{_datadir}/gufw/media
%{_datadir}/gufw/media/*
%dir %{_datadir}/gufw/ui
%{_datadir}/gufw/ui/*
%{_datadir}/icons/hicolor/48x48/apps/gufw.png
%{_datadir}/icons/hicolor/scalable/apps/gufw.xcf
%{_mandir}/man8/gufw.8.*

%changelog
* Tue Nov 15 2016 adrianomorselli <adrianomorselli> 13.10.2-1uplos2016
- create
